Subject: Ticket Assigned - Landmark Group
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 02 May 2021 10:21:45 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group I made an order last January with a subtotal of 157 dirhams. I chose to pay it by installments and there were the option to pay it for 3 to months by something called tabby. When i proceed with payment plan, i received a text from my bank that there is a payment of the 157 dirhams is paid to Max. I called you guys to see what happened, one of your agents told me because i dont have tabby card or account we took the whole payment. Now since then tabby is taking money from my bank account each month, and they still referring that i have to complete the 157 dirhams which i already paid. They advice me to get an email from max clearing that i paid the 157 dirhams. Can you send me an receipt of the payment to my email please, so i can claim for my money. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2366841